<?php
/**
 * goal_base.php - The main library for interfacing various components for goal_base
 *
 * @author $Author: samarth $
 * @version $Id: goal_base.php,v 1.1 2010/07/22 09:12:59 samarth Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/

Class goal_base {
	private $config=NULL;
	function goal_base() {
		$this->CI = get_instance();
	}

	//function create goal menu_tree admin
	function getmenu() {
		require_once('goal_factory.php');
		return goal_factory::factory();
	}

}
?>